<cv-remote-data *cvLet="data$ | async as data" [data]="data" (refresh)="onRefresh()" (cvAfterViewInitDelay)="requestLoadDocuments()">
  <ng-container *cvIfSuccess="data; let ok">
    <button (click)="inputFile.click()">Import file</button>
    <input #inputFile type="file" [style.display]="'none'" (change)="upload(inputFile)" />
    <div>{{ ok.length }} items loaded.</div>
    <docs-document-item
      *ngFor="let doc of ok"
      [doc]="doc"
      (remove)="removeDocumentItem(doc)"
      (download)="downloadDocumentItem(doc)"
    ></docs-document-item>
  </ng-container>
</cv-remote-data>
